@import _root_.configuration.Config

@(title:String, config: Config)(implicit lang: Lang, request: Request[AnyContent])

<!DOCTYPE html>

<html ng-app='Agent'>
<head>
    @head(title, config)
    <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("stylesheets/ccagent/main.css")">
    <link rel="shortcut icon" href="@routes.Assets.versioned("images/ccagent/favicon.ico")" type="image/x-icon">
    <link rel="icon" href="@routes.Assets.versioned("images/ccagent/favicon.ico")" type="image/x-icon">

    <script src="@routes.Assets.versioned("javascripts/dist/agent.js")" type="text/javascript"></script>
    </head>
    <body data-preferredlang="@{lang.language}" ng-cloak state="{{$state.current.name}}" event-registered="false" refresh-warning>
        <div class="message-resize-ccagent" ng-show="messageResize" ng-controller="windowResize">
            <div class="text-window">
                <i class="bell-icon fas fa-bell"></i>
                {{'WINDOW_TOO_SMALL' | translate}} 
                <button class="dismiss-resizing-message" ng-click="dismissMessage()">{{'OK_UNDERSTOOD' | translate}}</button>
            </div>
        </div>
        <div ui-view="thirdparty"></div>
        <div ui-view class="ui-view-container"></div>
    </body>
</html>
